classification
Title: IDLE Will not load on reinstall
Type: behavior Stage:
Components: IDLE Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE and pythonw.exe stderr problem
View: 13582
Assigned To: Nosy List: Anthony.Kong, BugReporter, loewis, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2012-05-17 04:13 by BugReporter, last changed 2012-05-19 06:47 by BugReporter. This issue is now closed.

Messages (11)
msg160952 - (view) Author: Cain (BugReporter) Date: 2012-05-17 04:13
After reinstalling Python 3.2.2, I have been unable to load IDLE - it simply refuses to respond. I have tried upgrading to 3.3 also, and still have the same problem - following multiple uninstalls, reinstalls and searching, I can't appear to find any solution to this problem which does appear to have occurred to others in the past with no solution that I can find.

Any ideas?
msg160964 - (view) Author: Anthony Kong (Anthony.Kong) Date: 2012-05-17 10:45
Which os? windows or linux or osx? 

It actually sounds like a support question. You probably should take the question to the python newsgroup (https://groups.google.com/forum/?fromgroups#!forum/comp.lang.python).
msg160977 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-17 16:24
Please run, from the command line, in the Python installation

  python.exe Lib\idlelib\idle.py

and report any output you get.
msg161036 - (view) Author: Cain (BugReporter) Date: 2012-05-18 06:14
Running Windows 7.

I get the following output when running the requested command:

File "<stdin>", line 1
python.exe Lib\idlelib\idle.py

SyntaxError: invalid syntax
msg161039 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-18 07:02
Can you please attach your idle.py, and/or figure out why it has a syntax error on line 1?
msg161040 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-18 07:06
Ah, I think I know what happened. When I said "command line", I didn't mean "Python (command line)", but "CMD shell", as found in the start menu (i.e. cmd.exe). The line I gave you is, of course, invalid Python syntax.  

If you have never used the Windows command line, please read up on it a little bit before trying this out. Read in particular about the "cd" command.
msg161081 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-05-18 19:34
If python itself runs, you can easily try this from inside the interpreter

>>> from idlelib import idle

This *should* bring up the Idle shell window. It just did for me on 64 bit Win7. If not, there *should* be an error traceback you can cut and paste here.
msg161090 - (view) Author: Cain (BugReporter) Date: 2012-05-19 03:55
Terry - just ran that command as you suggested and it did bring up idle, however also reported errors in the command window:


 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stderr-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'keyword-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'string-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'break-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'error-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'cursor-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'definition-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'error-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'normal-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'keyword-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hilite-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'comment-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hit-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'builtin-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stdout-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'string-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'break-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'comment-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hilite-background'
 from theme 'desert'.
 returning default value: 'gray'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'definition-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stderr-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hit-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'console-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'normal-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'builtin-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stdout-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'console-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stderr-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'keyword-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'string-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'break-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'error-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'cursor-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'definition-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'error-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'normal-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'keyword-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hilite-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'comment-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hit-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'builtin-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stdout-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'string-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'break-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'comment-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hilite-background'
 from theme 'desert'.
 returning default value: 'gray'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'definition-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stderr-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'hit-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'console-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'normal-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'builtin-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stdout-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'console-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'stderr-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'keyword-background'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'string-foreground'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'break-foreground'
 from theme 'desert'.
 returning default value: '#ffffff'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'error-background'
 from theme 'desert'.
 returning default value: '#000000'

 Warning: configHandler.py - IdleConf.GetThemeDict -
 problem retrieving theme element 'cursor-foreground'
 from theme 'desert'.
 returning default value: '#000000'
msg161091 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-05-19 04:33
The reason why IDLE failed to launch is due to stderr=None when using pythonw.exe. The first Warning message cause IDLE to abort. See issue13582 for more details and a solution to the problem of IDLE not starting.

Cain, your home directory should contain a folder named ".idlerc". Within this folder are a few configuration files for IDLE. The warning messages indicate that you are missing "config-highlight.cfg" which contained the definitions for the "desert" theme. Try renaming "config-main.cfg" to something else and relaunch IDLE. This will force IDLE to use its default settings.
msg161092 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-19 04:49
Closing as a duplicate. Roger, thanks for the analysis.
msg161094 - (view) Author: Cain (BugReporter) Date: 2012-05-19 06:47
Awesome, that resolved it. Simply started idle through the command window, then changed the theme back to the default. Thanks Roger.
History
Date User Action Args
2012-05-19 06:47:54BugReportersetmessages: + msg161094
2012-05-19 04:49:54loewissetstatus: open -> closed
superseder: IDLE and pythonw.exe stderr problem
resolution: duplicate
messages: + msg161092
2012-05-19 04:33:03roger.serwysetmessages: + msg161091
2012-05-19 03:55:06BugReportersetmessages: + msg161090
2012-05-18 19:34:04terry.reedysetnosy: + terry.reedy
messages: + msg161081
2012-05-18 07:06:27loewissetmessages: + msg161040
2012-05-18 07:02:33loewissetmessages: + msg161039
2012-05-18 06:14:27BugReportersetmessages: + msg161036
2012-05-18 02:08:08roger.serwysetnosy: + roger.serwy
2012-05-17 16:24:53loewissetnosy: + loewis
messages: + msg160977
2012-05-17 10:45:18Anthony.Kongsetnosy: + Anthony.Kong
messages: + msg160964
2012-05-17 04:13:07BugReportercreate